services:
  _defaults:
    autoconfigure: true
  path_processor.image_styles:
    class: Drupal\image\PathProcessor\PathProcessorImageStyles
    arguments: ['@stream_wrapper_manager']
    tags:
      - { name: path_processor_inbound, priority: 300 }
  plugin.manager.image.effect:
    class: Drupal\image\ImageEffectManager
    parent: default_plugin_manager
